%define section free

Name:           mg4j
Version:        2.1.2
Release:        1jpp
Epoch:          0
Summary:        Managing Gigabytes for Java
License:        LGPL
Vendor:         JPackage Project
Distribution:   JPackage
Group:          Development/Libraries/Java
URL:            http://mg4j.dsi.unimi.it/
Source0:        http://mg4j.dsi.unimi.it/mg4j-%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       fastutil5 >= 0:5.1.4, dsiutils >= 1.0.5, sux4j >= 1.0.1, jal, colt >= 0:1.1.0, jsap, log4j
Requires:       javamail, pdfbox
Requires:       jetty5 velocity velocity-tools tomcat5-servlet-2.4-api
Requires:       jakarta-commons-collections jakarta-commons-configuration jakarta-commons-digester jakarta-commons-io jakarta-commons-lang jakarta-commons-logging
BuildRequires:  ant, jpackage-utils >= 0:1.6, /bin/bash, javacc
BuildRequires:  xalan-j2
BuildRequires:  java-javadoc fastutil5-javadoc dsiutils-javadoc colt-javadoc jal-javadoc servletapi5-javadoc velocity-javadoc velocity-tools log4j-javadoc sux4j-javadoc
BuildRequires:  jakarta-commons-configuration-javadoc jakarta-commons-io-javadoc jakarta-commons-lang-javadoc
BuildRequires:  servletapi5-javadoc

%description
MG4J (Managing Gigabytes for Java) is a free full-text search engine for
large document collections written in Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

#%package        demo
#Summary:        Examples for %{name}
#Group:          Development/Libraries

#%description    demo
#Examples for %{name}.


%prep
%setup -q


%build
export CLASSPATH=%(build-classpath jsap dsiutils fastutil5 colt jal sux4j jetty5 servletapi5 velocity velocity-tools javamail pdfbox jakarta-commons-io jakarta-commons-lang jakarta-commons-collections jakarta-commons-configuration)
ant -Dlocal=true jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
install -dm 755 $RPM_BUILD_ROOT/usr/share/%{name}
#cp -pr demo $RPM_BUILD_ROOT/usr/share/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc README CHANGES COPYING.LIB
%doc manual/*
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

#%files demo
#%defattr(0644,root,root,0755)
#/usr/share/%{name}/*

%changelog
* Mon May 4 2008 Sebastiano Vigna <vigna at acm.org> - 0:2.1.2-1jpp
- Upgrade to 2.1.2.

* Fri Feb 29 2008 Sebastiano Vigna <vigna at acm.org> - 0:2.1.1-1jpp
- Fixed obnoxious bugs in Snowball stemmers.

* Thu Feb 21 2008 Sebastiano Vigna <vigna at acm.org> - 0:2.1-1jpp
- Moved to dsiutils most utility classes.

* Mon Jul 23 2007 Sebastiano Vigna <vigna at acm.org> - 0:2.0.1-1jpp
- Fix to out-of-memory errors and FileSystemItem.

* Fri Jul 6 2007 Sebastiano Vigna <vigna at acm.org> - 0:2.0-2jpp
- Minor release fix.

* Fri Jul 6 2007 Sebastiano Vigna <vigna at acm.org> - 0:2.0-1jpp
- Brand new release (first RPM for 2.0 series).

* Mon Jan 8 2007 Sebastiano Vigna <vigna at acm.org> - 0:1.1.2-2jpp
- Removed spurious source file.

* Mon Jan 8 2007 Sebastiano Vigna <vigna at acm.org> - 0:1.1.2-1jpp
- Many fixes and speed improvements.

* Tue Sep 19 2006 Sebastiano Vigna <vigna at acm.org> - 0:1.1.1-2jpp
- Updated log

* Tue Sep 19 2006 Sebastiano Vigna <vigna at acm.org> - 0:1.1.1-1jpp
- Fixed some bugs.

* Fri Jul 14 2006 Sebastiano Vigna <vigna@acm.org> - 0:1.1-1jpp
- Massive rewrite.

* Mon Oct 3 2005 Sebastiano Vigna <vigna@acm.org> - 0:1.0.1-1jpp
- Improvements to JDBC-based document collections.

* Thu Sep 23 2005 Sebastiano Vigna <vigna@acm.org> - 0:1.0.0-2jpp
- Minor fixes to the packaging.

* Thu Sep 22 2005 Sebastiano Vigna <vigna@acm.org> - 0:1.0.0-1jpp
- Major rewrite, overhaul and extension of the whole system.

* Thu Nov 25 2004 Sebastiano Vigna <vigna@acm.org> - 0:0.9.1-2jpp
- New methods for storing and retrieving integer arrays.

* Fri Oct 15 2004 David Walluck <david@jpackage.org> 0:0.9-2jpp
- rebuild for JPackage 1.6

* Wed Sep 1 2004 Sebastiano Vigna <vigna@acm.org> - 0:0.9-1jpp
- A wealth of new classes and features.

* Fri Oct 24 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.8.2-1jpp
- Update to JPackage guidelines.

* Tue Jun 10 2003 Sebastiano Vigna <vigna@acm.org> 0.8.2
- New multi-array byte input stream.

* Tue Jun 10 2003 Sebastiano Vigna <vigna@acm.org> 0.8.1
- In line with fastutil 3.0; relicensed to LGPL.

* Tue Jun 10 2003 Sebastiano Vigna <vigna@acm.org> 0.8
- Several optimisations, direct array wrapping, zeta codes, revamped minimal perfect hashing.

* Tue Feb  4 2003 Sebastiano Vigna <vigna@acm.org> 0.7
- Switched to new fastutil name. No more manual subpackage.

* Tue Feb  4 2003 Sebastiano Vigna <vigna@acm.org> 0.6
- First release with index construction

* Mon Dec 9 2002 Sebastiano Vigna <vigna@acm.org> 0.3
- JPackage compatible version
